Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class ServletProps

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet
                        |
                        +--org.w3c.jigsaw.servlet.ServletProps

public class ServletProps
extends PropertySet

Field Summary
`protected static int` | `ATTR_MAX_IDLE_TIME` Attribute index - The index for our servlet session max idle time.
`protected static int` | `ATTR_SERVLET_INSTANCEMAX` Attribute index - The index for for single thread model servlet instance pool size limitation, tk, 20.10.2001
`protected static int` | `ATTR_SERVLET_LOG_FILE` Attribute index - The index for our servlet log file attribute.
`protected static int` | `ATTR_SERVLET_TIMEOUT` Attribute index - The index for our servlet timeout
`protected static int` | `ATTR_SESSIONS_COOKIE_COMMENT` Attribute index - The index for our session cookie comment.
`protected static int` | `ATTR_SESSIONS_COOKIE_DOMAIN` Attribute index - The index for our session cookie domain.
`protected static int` | `ATTR_SESSIONS_COOKIE_MAXAGE` Attribute index - The index for our session cookie maxage.
`protected static int` | `ATTR_SESSIONS_COOKIE_NAME` Attribute index - The index for our session cookie name.
`protected static int` | `ATTR_SESSIONS_COOKIE_PATH` Attribute index - The index for our session cookie path.
`protected static int` | `ATTR_SESSIONS_COOKIE_SECURE` Attribute index - The index for our session cookie secure.
`protected static int` | `ATTR_SESSIONS_MAX` Attribute index - The index for our servlet session max number in memory.
`protected static int` | `ATTR_SESSIONS_SWEEP` Attribute index - The index for our servlet session sweep delay.
`protected static java.lang.String` | `DEFAULT_COOKIE_NAME` The default Session Cookie name.
`protected static java.lang.String` | `SERVLET_COOKIE_COMMENT` Name of the property indicating the session cookie comment.
`protected static java.lang.String` | `SERVLET_COOKIE_DOMAIN` Name of the property indicating the session cookie domain.
`protected static java.lang.String` | `SERVLET_COOKIE_MAXAGE` Name of the property indicating the session cookie maxage.
`protected static java.lang.String` | `SERVLET_COOKIE_NAME` Name of the property indicating the session cookie name.
`protected static java.lang.String` | `SERVLET_COOKIE_PATH` Name of the property indicating the session cookie path.
`protected static java.lang.String` | `SERVLET_COOKIE_SECURE` Name of the property indicating the session cookie secure flag.
`protected static java.lang.String` | `SERVLET_INSTANCEMAX` Name of the property indicating the max number for single thread model servlet instance pool size limitation, tk, 20.10.2001
`protected static java.lang.String` | `SERVLET_LOG_FILE_P` Name of the property indicating the servlet log file.
`protected static java.lang.String` | `SERVLET_MAX_SESSION` Name of the property indicating the max number of session loaded in memory.
`protected static java.lang.String` | `SERVLET_PROPS_NAME` Name of the servlet PropertySet.
`protected static java.lang.String` | `SERVLET_SESSION_IDLE` Name of the property indicating the max idle time of session.
`protected static java.lang.String` | `SERVLET_SESSION_SWEEP` Name of the property indicating the max idle time of session.
`protected static java.lang.String` | `SERVLET_TIMEOUT` Name of the property indicating the max number of session loaded in memory.

Fields inherited from class org.w3c.jigsaw.config.PropertySet
`server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Method Summary
`int` | `getMaxSessionsNumber()` Returns the max number of session in memory.
`JigsawHttpSessionContext` | `getSessionContext()` Returns the session context.
`long` | `getSessionsMaxIdleTime()` Returns the max idle time for a session.
`int` | `getSessionsSweepDelay()` Returns the delay between two sessions idle time check.
`java.lang.String` | `getTitle()` Get this property set title.

Methods inherited from class org.w3c.jigsaw.config.PropertySet
`convertingGet, getHelpURL, getHelpURL, getValue, initialize, setValue, unsafeGetValue`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, unregisterFrame, unsafeGetContext, unsafeGetIdentifier, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVLET_LOG_FILE_P

    protected static java.lang.String SERVLET_LOG_FILE_P

  Name of the property indicating the servlet log file. This property indicates the name of the servlet log file to use.

  This property defaults to the `servlets` file in the server log directory.

### SERVLET_TIMEOUT

    protected static java.lang.String SERVLET_TIMEOUT

  Name of the property indicating the max number of session loaded in memory.

### SERVLET_INSTANCEMAX

    protected static java.lang.String SERVLET_INSTANCEMAX

  Name of the property indicating the max number for single thread model servlet instance pool size limitation, tk, 20.10.2001

### SERVLET_MAX_SESSION

    protected static java.lang.String SERVLET_MAX_SESSION

  Name of the property indicating the max number of session loaded in memory.

### SERVLET_SESSION_IDLE

    protected static java.lang.String SERVLET_SESSION_IDLE

  Name of the property indicating the max idle time of session.

### SERVLET_SESSION_SWEEP

    protected static java.lang.String SERVLET_SESSION_SWEEP

  Name of the property indicating the max idle time of session.

### SERVLET_COOKIE_NAME

    protected static java.lang.String SERVLET_COOKIE_NAME

  Name of the property indicating the session cookie name.

### DEFAULT_COOKIE_NAME

    protected static java.lang.String DEFAULT_COOKIE_NAME

  The default Session Cookie name.

### SERVLET_COOKIE_DOMAIN

    protected static java.lang.String SERVLET_COOKIE_DOMAIN

  Name of the property indicating the session cookie domain.

### SERVLET_COOKIE_MAXAGE

    protected static java.lang.String SERVLET_COOKIE_MAXAGE

  Name of the property indicating the session cookie maxage.

### SERVLET_COOKIE_PATH

    protected static java.lang.String SERVLET_COOKIE_PATH

  Name of the property indicating the session cookie path.

### SERVLET_COOKIE_COMMENT

    protected static java.lang.String SERVLET_COOKIE_COMMENT

  Name of the property indicating the session cookie comment.

### SERVLET_COOKIE_SECURE

    protected static java.lang.String SERVLET_COOKIE_SECURE

  Name of the property indicating the session cookie secure flag.

### SERVLET_PROPS_NAME

    protected static java.lang.String SERVLET_PROPS_NAME

  Name of the servlet PropertySet.

### ATTR_SERVLET_LOG_FILE

    protected static int ATTR_SERVLET_LOG_FILE

  Attribute index - The index for our servlet log file attribute.

### ATTR_MAX_IDLE_TIME

    protected static int ATTR_MAX_IDLE_TIME

  Attribute index - The index for our servlet session max idle time.

### ATTR_SERVLET_TIMEOUT

    protected static int ATTR_SERVLET_TIMEOUT

  Attribute index - The index for our servlet timeout

### ATTR_SERVLET_INSTANCEMAX

    protected static int ATTR_SERVLET_INSTANCEMAX

  Attribute index - The index for for single thread model servlet instance pool size limitation, tk, 20.10.2001

### ATTR_SESSIONS_MAX

    protected static int ATTR_SESSIONS_MAX

  Attribute index - The index for our servlet session max number in memory.

### ATTR_SESSIONS_SWEEP

    protected static int ATTR_SESSIONS_SWEEP

  Attribute index - The index for our servlet session sweep delay.

### ATTR_SESSIONS_COOKIE_NAME

    protected static int ATTR_SESSIONS_COOKIE_NAME

  Attribute index - The index for our session cookie name.

### ATTR_SESSIONS_COOKIE_PATH

    protected static int ATTR_SESSIONS_COOKIE_PATH

  Attribute index - The index for our session cookie path.

### ATTR_SESSIONS_COOKIE_DOMAIN

    protected static int ATTR_SESSIONS_COOKIE_DOMAIN

  Attribute index - The index for our session cookie domain.

### ATTR_SESSIONS_COOKIE_COMMENT

    protected static int ATTR_SESSIONS_COOKIE_COMMENT

  Attribute index - The index for our session cookie comment.

### ATTR_SESSIONS_COOKIE_MAXAGE

    protected static int ATTR_SESSIONS_COOKIE_MAXAGE

  Attribute index - The index for our session cookie maxage.

### ATTR_SESSIONS_COOKIE_SECURE

    protected static int ATTR_SESSIONS_COOKIE_SECURE

  Attribute index - The index for our session cookie secure.

Method Detail

### getSessionsMaxIdleTime

    public long getSessionsMaxIdleTime()

  Returns the max idle time for a session.
  Returns:
    The max idle time in milli seconds.

### getMaxSessionsNumber

    public int getMaxSessionsNumber()

  Returns the max number of session in memory.
  Returns:
    The max number of session.

### getSessionsSweepDelay

    public int getSessionsSweepDelay()

  Returns the delay between two sessions idle time check.
  Returns:
    the delay between two sessions idle time check in milli seconds.

### getSessionContext

    public JigsawHttpSessionContext getSessionContext()

  Returns the session context.
  Returns:
    A JigsawHttpSessionContext instance.

### getTitle

    public java.lang.String getTitle()

  Get this property set title.
  Overrides:
    getTitle in class PropertySet
  Returns:
    A String encoded title.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD